/******************************************************************************
 * This file was generated by langium-cli 1.1.0.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/

import { LangiumGeneratedServices, LangiumGeneratedSharedServices, LangiumSharedServices, LangiumServices, LanguageMetaData, Module } from 'langium';
import { KashmirAstReflection } from './ast';
import { KashmirGrammar } from './grammar';

export const KashmirLanguageMetaData: LanguageMetaData = {
    languageId: 'kashmir',
    fileExtensions: ['.kashmir'],
    caseInsensitive: false
};

export const KashmirGeneratedSharedModule: Module<LangiumSharedServices, LangiumGeneratedSharedServices> = {
    AstReflection: () => new KashmirAstReflection()
};

export const KashmirGeneratedModule: Module<LangiumServices, LangiumGeneratedServices> = {
    Grammar: () => KashmirGrammar(),
    LanguageMetaData: () => KashmirLanguageMetaData,
    parser: {}
};
